
(function ($) {
	"use strict";
	if ($(window).width() > 1025 && $(".award-container").length > 0) {
    var $awardW = $(".award-image-wrapper");
    var $posOne = {
      x: 0,
      y: 0
    };

    $(".award-container").mousemove(function (e) {
			parallaxImage(e, this, 2);
		});
    
    $(document).find('.css_prefix-award-list').on('mouseenter', '.award-item', function () {
      var hoverServImg = $(this).find('.award-item-inner').data("image");
      $('.award-image-wrapper .award-img').css('opacity', 0);
      $('.award-image-wrapper').find('.award-img.' + hoverServImg).css("opacity", 1);
    });
  
    $(document).find('.css_prefix-award-list').on('mouseleave', '.award-item', function () {
      $('.award-image-wrapper .award-img').css("opacity", 0);
    });
  }

  function parallaxImage(e, parent, movement) {
    var rect2 = parent.getBoundingClientRect();
    var relX2 = e.clientX - rect2.left;
    var relY2 = e.clientY - rect2.top;
  
    var imageWidth = $awardW.width();
    var  imageHeight = $awardW.height();
    $posOne.x = (relX2 - imageWidth / 4) + 180;
    $posOne.y = (relY2 - imageHeight / 4) + 30;
    gsap.to($awardW, {
      duration: 0.3,
      x: $posOne.x,
      y: $posOne.y
    });
  }

}(jQuery));
